---
title: Community
description: The React Native Community
wrapperClassName: 'community-page'
---

# The React Native Community

There are a lot of developers around the world using React Native. This is a brief overview of where you can find them.

## Where To Get Help

If you need help with your React Native app, the right place to go depends on the type of help that you need.

### Repository

The core of **React Native** is worked on full-time by Facebook's React Native team. But there are far more people in the community who make key contributions and fix things. If the issue you are facing is code related, you should consider checking the open issues in the [main repository](https://github.com/facebook/react-native/issues). If you cannot find an existing issue, please [use the Bug Report template](https://github.com/facebook/react-native/issues/new?template=bug_report.md) to create an issue with a minimal example.

### Stack Overflow

Many members of the community use Stack Overflow to ask questions. Read through the [existing questions](http://stackoverflow.com/questions/tagged/react-native?sort=frequent) tagged with **react-native** or [ask your own](http://stackoverflow.com/questions/ask?tags=react-native)!

## Staying up to date

### Official channels

The [React Twitter account](https://twitter.com/reactjs) covers both React and React Native. Follow the React Native [Twitter account](https://twitter.com/reactnative) and [blog](blog) to find out what's happening in the world of React Native.

### Proposals

React Native is still a young framework, and its rapid release cycle leaves the door open for discussing how it can evolve at every step of the way. If you want to know what the current proposals and RFCs are talking about, you can read through the [Discussions and Proposals repository](https://github.com/react-native-community/discussions-and-proposals).

### Conferences

There are a lot of [React Native Meetups](http://www.meetup.com/topics/react-native/) that happen around the world. Often there is React Native content in React meetups as well. React Native has been covered often in past React Conf talks. Videos for these talks can be found online in the following playlists: [React Conf 2019](https://www.youtube.com/playlist?list=PLPxbbTqCLbGHPxZpw4xj_Wwg8-fdNxJRh), [React Conf 2018](https://www.youtube.com/watch?v=WXYPpY_mElQ), [React Conf 2017](https://www.youtube.com/playlist?list=PLb0IAmt7-GS3fZ46IGFirdqKTIxlws7e0), [React Conf 2016](https://www.youtube.com/playlist?list=PLb0IAmt7-GS0M8Q95RIc2lOM6nc77q1IY) and [React Conf 2015](https://www.youtube.com/watch?list=PLb0IAmt7-GS1cbw4qonlQztYV1TAW0sCr&v=KVZ-P-ZI6W4). The next [React Conf](https://conf.reactjs.org/) is yet to be announced. You can also find a list of dedicated React Native conferences [here](http://www.awesome-react-native.com/#conferences).

## Communities

### Reactiflux Chat

If you need an answer right away, check out the [Reactiflux Discord](https://discord.gg/0ZcbPKXt5bZjGY5n) community. There are usually a number of React Native experts there who can help out or point you to somewhere you might want to look.

### Forum-like groups

If you want to create less temporary conversations, check out the [React Native Spectrum](https://spectrum.chat/react-native) community or the [React Native Facebook Group](https://www.facebook.com/groups/react.native.community), which is more focused on post announcements, blog posts, talks, videos, cool new libraries, and apps. [The Expo Forums](https://forums.expo.io) are a good place to get help if you are using Expo.

### Company-based Communities

Some companies actively involved in the React Native have also their own communication channels focused towards the projects they maintain, like [Callstack.io's Discord server](https://discordapp.com/invite/zwR2Cdh), [Invertase.io's Discord server (e.g. React Native Firebase)](https://discord.gg/C9aK28N), [Infinite Red's Slack Group](http://community.infinite.red/) and [The Expo Slack Group](https://slack.expo.io/).

### Content sharing

[DevTo community's](https://dev.to/t/reactnative) and [Medium's](https://medium.com/tag/react-native) React Native tag are places where you can share React Native projects, articles and tutorials as well as start discussions and ask for feedback on React Native related topics. (but remember to give some love to the [main documentation](https://github.com/facebook/react-native-website) too!)
